% !TeX program = xelatex

\documentclass{beamer}
\usetheme[progressbar=frametitle,numbering=fraction,sectionpage=none]{metropolis}           % Use metropolis theme
\title{Introduction to \LaTeX}
\date{\today}
\author{Konstantinos Kanavouras}
\institute{AcubeSAT\\Aristotle Space \& Aeronautics Team}
\titlegraphic{\hfill\includegraphics[height=1.5cm]{lion.pdf}}

\usepackage{polyglossia}
\usepackage{csquotes}
%\usepackage{xgreek}
\setdefaultlanguage{english}
\setotherlanguage{greek}

\usepackage{fontspec}
\newfontfamily\examplefont[Script=Latin]{GFS Didot}

\usepackage{minted}
\usepackage{etoolbox}
\AtBeginEnvironment{minted}{\fontsize{10}{10}\selectfont}

\usepackage{mathtools}

\usepackage[normalem]{ulem}

\usepackage{environ}
\NewEnviron{lex}{%
	\colorbox{white}{\hspace{1ex}\parbox{.9\textwidth}{\examplefont\vspace{1ex}%
			\BODY
	\vspace{1ex}}\hspace{1ex}}%
}


\metroset{block=fill}
\setbeamertemplate{mini frame}{}
\setbeamertemplate{mini frame in current section}{}
\setbeamertemplate{mini frame in current subsection}{}
\setbeamercolor{section in head/foot}{fg=normal text.bg, bg=structure.fg}
\setbeamercolor{subsection in head/foot}{fg=normal text.bg, bg=structure.fg}
\makeatletter
\setbeamertemplate{footline}{%
	\begin{beamercolorbox}[colsep=1.5pt]{upper separation line head}
	\end{beamercolorbox}
	\begin{beamercolorbox}{section in head/foot}
		\insertsectionnavigationhorizontal{\paperwidth}{}{\hskip0pt plus1filll}\vskip3pt%
	\end{beamercolorbox}%
	\begin{beamercolorbox}[colsep=1.5pt]{lower separation line head}
	\end{beamercolorbox}
}
\makeatother

\begin{document}
  \maketitle
  \section{What is \LaTeX?}
  \begin{frame}[t]{What is \LaTeX ?}
    \begin{itemize}
    	\item LaTeX (LAH-teh or LAY-teh) is a \textbf{tool}
    \end{itemize}
    \vspace{2cm}
    \begin{columns}
    	\column{.45\linewidth}
    	\centering
    	\only<1>{\includegraphics[height=.4\textheight]{windows}}
    	\only<2>{\includegraphics[height=.4\textheight]{photoshop}}
    	\only<3>{\includegraphics[height=.4\textheight]{slack}}
    	\only<4>{\includegraphics[height=.4\textheight]{matlab}}
    	\only<5>{\includegraphics[height=.4\textheight]{word}}
    	\column{.1\linewidth}
    	\centering
    	{\Huge vs}
    	\column{.45\linewidth}
    	\centering
    	\only<1>{\includegraphics[height=.4\textheight]{linux}}
    	\only<2>{\includegraphics[height=.4\textheight]{correll}}
    	\only<3>{\includegraphics[height=.4\textheight]{mattermost}}
    	\only<4>{\includegraphics[height=.35\textheight]{stone}}
    	\only<5>{\includegraphics[height=.4\textheight]{lion}}
    \end{columns}
  \end{frame}

  \begin{frame}[fragile]{But what is \LaTeX?}
    \begin{itemize}
  	\item A \textbf{typesetting} system
  	\begin{itemize}
  		\item Like Microsoft Word
  		\item Not WYSIWYG \onslide<2>{(What You See Is What You Get)}
  	\end{itemize}
    \end{itemize}
    
    \begin{example}
    	\begin{columns}
    		\column{.4\textwidth}
    		\begin{minted}[numbersep=5pt,
    			gobble=2]{latex}
  \begin{document}
    Toast is the most
    \textbf{exciting} piece of 
    software in the world.
    It is amazing how toast 
    is so good.

    The reason why \emph{toast}
    and not \emph{bread} has
    been selected is, of course,
    \emph{cheese}.
  \end{document}
    		\end{minted}
    		\hspace{5pt}
    		\column{.4\textwidth}
    		\colorbox{white}{\footnotesize\parbox{\textwidth}{\examplefont
    				\hspace{1em}Toast is the most
    			\textbf{exciting} piece of 
    			software in the world.
    			It is amazing how toast 
    			is so good.
    			
    			\vspace{0.5cm}
    			
    			\hspace{1em}The reason why \emph{toast}
    			and not \emph{bread} has been
    			selected is, of course,
    			\emph{cheese}.}}
    	\end{columns}
    \end{example}
  \end{frame}

  \begin{frame}{Examples}
    \centering
  	\only<1>{\includegraphics[height=.9\textheight]{example1}}
  	\only<2>{\includegraphics[width=.8\textwidth]{example2}}
  	\only<3>{\includegraphics[width=\textwidth]{example3}\vfill
  		\begin{flushright}
  			{\tiny\color{gray}From \url{tex.stackexchange.com/questions/1319/showcase-of-beautiful-typography-done-in-tex-friends}}
  	\end{flushright}}
    \only<4>{
    	\begin{columns}
    		\column{.5\textwidth}
    		\centering
    		\includegraphics[width=\textwidth]{report1}\\
    		{\tiny GPS report by Dimitris Stoupis}
    		
    		\column{.5\textwidth}
    		\centering
    		\includegraphics[width=\textwidth]{report2}\\
    		{\tiny LDPC report by Karakosta, et. al}
    	\end{columns}
    }
  \end{frame}

  \begin{frame}{Pros}
  	\begin{itemize}
  		\item Consistency
  		\begin{itemize}
  			\item Not possible to make accidental layouting and formatting errors!
  			\item Separates layout from content
  		\end{itemize}
  		\item Easy to make beautiful and well-formatted documents
  		\item Packages
  		\item Maths
  		\item Proselint
  		\item \href{https://tex.stackexchange.com/}{\TeX~Stack Exchange}
  	\end{itemize}
  \end{frame}

  \begin{frame}[fragile]{Pros}
      \begin{itemize}
       	\item \textbf{This presentation is made in \LaTeX!}
      \end{itemize}
  
  \begin{minted}[numbersep=5pt,gobble=2]{latex}
% \begin{frame}{Pros}
    \begin{itemize}
      \item Consistency
      \begin{itemize}
        \item Not possible to make accidental layouting
              and formatting errors!
        \item Separates layout from content
      \end{itemize}
      \item Easy to make beautiful and well-formatted documents
      \item Packages
      \item Maths
      \item Proselint
      \item \href{https://tex.stackexchange.com/}{%
            \TeX~Stack Exchange}
    \end{itemize}
% \end{frame}
  \end{minted}
  \end{frame}

  \begin{frame}{Cons}
  	\begin{itemize}
  		\item<1>{Hard to use}
  		\item<2-3>{\sout{Hard to use} Easy to learn, but hard for specific stuff}
  		\item{Floating images}
  		\onslide<3>{\begin{itemize}
  				\item Use \texttt{minipage}
  		\end{itemize}}
  	    \item Tables are hard
  	    \onslide<3>{\begin{itemize}
  	    		\item \url{https://www.tablesgenerator.com/}
  	    \end{itemize}}
        \item Reviews \& text suggestions
        \onslide<3>{\begin{itemize}
        		\item Gitlab
        \end{itemize}}
        \item Not WYSIWYG
        \onslide<3>{\begin{itemize}
        		\item Enable \emph{auto-compile}
        		\item \url{https://www.codecogs.com/latex/eqneditor.php}
        		\item kTikz
        \end{itemize}}
        \item Weird errors
        \onslide<3>{\begin{itemize}
    		\item Google \& ask!
        \end{itemize}}
  	\end{itemize}
  \end{frame}

\begin{frame}{Lesson 0: Overleaf}
\centering
\includegraphics[width=\textwidth]{overleaf}
{\large\url{https://www.overleaf.com/8762293875crmggzsfjpcp}}
\end{frame}

\begin{frame}[fragile]{Lesson 0{$^1/_2$}: Basic Document Structure}
\begin{minted}{latex}
\documentclass[11pt,a4paper]{article}

\begin{document}
Hello world!
\end{document}
\end{minted}
\end{frame}
\begin{frame}[fragile]{Lesson 0{$^1/_2$}: Basic Document Structure}
\begin{lex}
	Hello world!
\end{lex}
\end{frame}


\section{Paragraphs}
\begin{frame}[fragile]{Lesson 1: Paragraphs}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
Lorem ipsum dolor sit amet,
euismod noluisse ne vel,
quaeque intellegam ius eu,
aliquam dolorum complectitur
ea cum. Meis postea accumsan
in nec. Quo id ferri ceteros,
te mei aperiam fierent recusabo.

Assum elitr persius vim
ad, an duo suas veri ullamcorper.
Mea unum lorem omittam eu.
Nam cu ferri consequat
elaboraret, debet repudiare
conclusionemque nec in.
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\tiny
	\hspace{1em}Lorem ipsum dolor sit amet, euismod noluisse
	ne vel, quaeque intellegam ius eu, aliquam
	dolorum complectitur ea cum. Meis postea accumsan
	in nec. Quo id ferri ceteros,
	te mei aperiam fierent recusabo.\\[1ex]
	\hspace*{1em}Assum elitr persius vim ad, an duo suas
	veri ullamcorper. Mea unum lorem omittam
	eu. Nam cu ferri consequat elaboraret,
	debet repudiare conclusionemque nec in.}
	\end{lex}
\end{columns}
\end{frame}

\section{Typography}
\begin{frame}[fragile]{Lesson 2: Typography}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
This text is \textbf{bold}.

This text is \emph{italic}.

This text is for
\texttt{parameters} and
\texttt{code}.

This text is {\Large big}. % Use rarely!
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{This text is \textbf{bold}.
			
			This text is \emph{italic}.
			
			This text is for \texttt{parameters} and \texttt{code}.
			
			This text is {\Large big}.}
	\end{lex}
\end{columns}

\vfill
\begin{minted}{latex}
\tiny, \scriptsize, \footnotesize, \small, \normalsize,
\large, \Large, \LARGE, \huge, \Huge
\end{minted}
\end{frame}

\begin{frame}{Lesson 2: Typography (+ some formatting)}
	\LARGE
	If you start a new job\textbf{,} you will have a great \textbf{(}but tiring\textbf{)} experience\textbf{.} Trust me!
\end{frame}

\begin{frame}{Lesson 2: Typography (+ some formatting)}
\Large
Write \texttt{\textbackslash\&} instead of \texttt{\&}

Write \texttt{\textbackslash\_} instead of \texttt{\_}

Write \texttt{\textbackslash textbackslash} instead of \texttt{\textbackslash}
\end{frame}

\section{Lists}
\begin{frame}[fragile]{Lesson 3: Lists}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\begin{itemize}
    \item Jacket
    \item Toast
    \item Excitement
    \item Microphone
\end{itemize}

\begin{enumerate}
\item Open the door
\item Turn on the lights
\item Check the database
\end{enumerate}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{itemize}
				\item Jacket
				\item Toast
				\item Excitement
				\item Microphone
			\end{itemize}
			
			\begin{enumerate}
				\item Open the door
				\item Turn on the lights
				\item Check the database
		\end{enumerate}}
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}[fragile]{Lesson 3: Nested Lists}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
    \begin{itemize}
      \item Jacket
      \item Toast
      \begin{itemize}
         \item Bread
         \item Cotton
         \item Cheese
       \end{itemize}
     \item Excitement
     \begin{enumerate}
       \item Breathe
       \item Find something
             exciting
       \begin{itemize}
         \item Exciting doors
         \item Exciting colours
       \end{itemize}
       \item Look at it!
     \end{enumerate}
    \end{itemize}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{itemize}
			\item Jacket
				\item Toast
				\begin{itemize}
					\item Bread
					\item Cotton
					\item Cheese
				\end{itemize}
				\item Excitement
				\begin{enumerate}
					\item Breathe
					\item Find something exciting
					\begin{itemize}
						\item Exciting doors
						\item Exciting colours
					\end{itemize}
					\item Look at it!
				\end{enumerate}
	\end{itemize}}
	\end{lex}
\end{columns}
\end{frame}

\section{Sections}
\begin{frame}[fragile]{Lesson 4: Sections}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\tableofcontents
	
\section{Introduction}
This is introduction.

\subsection{Some maths here}
Maths is important.

\subsection{The results}
Results are also ok.

\subsubsection{Science}
Some sciency stuff.

\paragraph{It goes deeper!}
Toast.
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{	\textbf{\Large1\quad Introduction}\hspace{0pt}\\
			This is introduction.\vspace{1ex}
			
			\textbf{\large1.1\quad Some maths here}\hspace{0pt}\\
			Maths is important.\vspace{1ex}
			
			\textbf{\large1.2\quad The results}\hspace{0pt}\\
			Results are also ok.\vspace{1ex}
			
			\textbf{\large1.2.1\quad Science}\hspace{0pt}\\
			Some sciency stuff.\vspace{1ex}
			
			\textbf{It goes deeper!}\hspace{0pt}
			Toast.}
	\end{lex}
\end{columns}
\end{frame}

\section{Links}
\begin{frame}[fragile]{Lesson 5: Links}
	\begin{minted}{latex}
\usepackage{hyperref}

% ...
	
\url{https://gitlab.com/acubesat}
	
\href{https://gitlab.com/acubesat}{Our Gitlab page!}
	\end{minted}
\end{frame}

\section{Maths}
\begin{frame}[fragile]{Lesson 6: Maths}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
Some serious stuff, because
usually \( x^2 = 5x + 2 \).
	
This is more serious:
\[
    x^3 + x^2 +
    5\infty = \infty
\]
	
Seriousness overload:
\begin{equation}
    x^4 + e^\pi =
    \int_0^{22} \sin(7x) dx
\end{equation}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{Some serious stuff,
			because usually\( x^2 = 5x + 2 \).
			
			This is more serious:
			\[
			x^3 + x^2 + 5\infty = \infty
			\]
			
			Seriousness overload:
			\begin{equation}
			x^4 + e^\pi = \int_0^{22} \sin(7x) dx
			\end{equation}
	}
	\end{lex}
\end{columns}
\end{frame}

\begin{frame}[fragile]{Lesson 6: Maths}
\begin{columns}
	\column{.5\textwidth}
	\begin{minted}{latex}
\usepackage{mathtools}
% ...
\begin{gather}
  \frac{5x}{\log x}
  \\
  \sin(5x^{2^x})
  \\
  \sin \left( 5x^{2^x} \right)
  \\
  \forall x \in X, \quad \exists y
  \\
  \leq \geq < >
  \\
  \alpha, \Alpha, \beta, \phi
  \\
  \lim\limits_{x \to \infty}
  \exp(-x) = 0
\end{gather}
	\end{minted}
	
	\column{.5\textwidth}
	\begin{lex}{\begin{gather}
			\frac{5x}{\log x}
			\\
			\sin(5x^{2^x})
			\\
			\sin \left( 5x^{2^x} \right)
			\\
			\forall x \in X, \quad \exists y
			\\
			\leq\ \geq\ <\ >
			\\
			\alpha, \Omega, \beta, \phi
			\\
			\lim\limits_{x \to \infty}
			\exp(-x) = 0
			\end{gather}
		}
	\end{lex}
\end{columns}
\end{frame}

\section{Images}
\begin{frame}[fragile]{Lesson 7: Images}

	\begin{minted}{latex}
\begin{figure}[h]
    \includegraphics[width=.5\linewidth]{image.png}
    \caption{This is an image}
\end{figure}
	\end{minted}
	
	\begin{lex}{
		\begin{center}
		\includegraphics[width=.3\textwidth]{lion}\\
		\textbf{Figure 1}: \emph{This is an image}
		\end{center}
	}
	\end{lex}

\end{frame}

\section{Fin}
\begin{frame}{More cool stuff}
	\begin{itemize}
		\item Todo notes
		\item Graphics
		\item Bibliography
		\item Tables
		\item Acronyms
		\item \LaTeX CubeSat Documentation Template
	\end{itemize}
\end{frame}

\begin{frame}{Documentation resources}
	\item \url{https://en.wikibooks.org/wiki/LaTeX/}
	\item \url{https://www.overleaf.com/learn}
\end{frame}

\end{document}


